Summary: The default fallback theme used by implementations of the icon theme specification
Name: hicolor-icon-theme
Version: 0.17
Release: 4%{?dist}
License: GPLv2+
URL: https://www.freedesktop.org/wiki/Software/icon-theme/
Source0: https://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz

BuildRequires: make

BuildArch: noarch

%description
This is the default fallback theme used by implementations of the icon
theme specification.


%prep
%autosetup
chmod -x COPYING 


%build
%configure
%make_build PREFIX=%{buildroot}%{_prefix}


%install
%make_install
touch %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache


%transfiletriggerin -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :


%transfiletriggerpostun -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license COPYING
%doc README
%dir %{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/*/*
%{_datadir}/icons/hicolor/index.theme
%ghost %{_datadir}/icons/hicolor/icon-theme.cache


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 doriscchao <doriscchao@tencent.com> - 0.17-1
- initial build, Version 0.17, Release 1



